package gui.run;

import gui.ClosableJFrame;

import javax.swing.*;
import java.awt.*;

/**
 * DocJava, Inc.
 * http://www.docjava.com
 * Programmer: dlyon
 * Date: Mar 31, 2004
 * Time: 7:18:20 PM
 */
public class RunLabel extends JLabel {
    RunLabel(String text, Icon icon, int horizontalAlignment) {
        super(text, icon, horizontalAlignment);
        ShortcutUtils.addShortcut(this);
    }

    public RunLabel(String text, int horizontalAlignment) {
        this(text, null, horizontalAlignment);
    }

    public RunLabel(String text) {
        this(text, null, LEADING);
    }

    public RunLabel(Icon image, int horizontalAlignment) {
        this(null, image, horizontalAlignment);
    }

    public RunLabel(Icon image) {
        this(null, image, CENTER);
    }

    public RunLabel() {
        this("", null, LEADING);
    }

    public static void main(String[] args) {
        ClosableJFrame cj = new ClosableJFrame();
        Container c = cj.getContentPane();
        c.setLayout(new GridLayout(0,2));
        c.add(new RunLabel("[Name"));
        RunTextField runTextField = new RunTextField("[Name") {
                    public void run() {

                    }
                };
        runTextField.setText("");
        c.add(runTextField);
        c.add(new RunLabel("[House/Street"));
        c.add(new RunTextField("[House") {
            public void run() {

            }
        });
        cj.setSize(200, 200);
        cj.show();
    }

}
